import { line, curveNatural } from 'd3';

export const CurveMarks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  clrScale,
  clrValue,
  tooltipFormat,
  circleRadius
}) => {
  const years = data.map(d => (clrValue(d)));
  const distinctYears = [...new Set(years)];
//  console.log(distinctYears)
  const yearData = (yId) => (data.filter(d => (d.Year===yId)));
      
  return (
    <g className="line1">
      { 
        distinctYears.map(yId => {
//          console.log(clrScale(yId));
          return (
            <path
              fill="none"
              stroke={clrScale(yId)}
              d={line()
                .x(d => xScale(xValue(d)))
                .y(d => yScale(yValue(d)))
                .curve(curveNatural)(yearData(yId))}
            />
          )})
        }
    </g>
	);
};

